Name:           ocaml-cmdliner
Version:        0.9.8
Release:        %mkrel 1
Summary:        Declarative definition of command line interfaces
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/cmdliner
Source0:        http://erratique.ch/software/cmdliner/releases/cmdliner-%{version}.tbz
BuildRequires:  ocaml-findlib

%description
Cmdliner is an OCaml module for the declarative definition of command line
interfaces.

It provides a simple and compositional mechanism to convert command line
arguments to OCaml values and pass them to your functions. The module
automatically handles syntax errors, help messages and UNIX man page
generation. It supports programs with single or multiple commands (like
darcs or git) and respects most of the POSIX and GNU conventions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cmdliner-%{version}

%build
ocaml pkg/git.ml
ocaml pkg/build.ml native=true native-dynlink=true

%install
mkdir -p %{buildroot}/%{_libdir}/ocaml/cmdliner
cp _build/src/*.{cmi,cma,mli} _build/pkg/META  %{buildroot}/%{_libdir}/ocaml/cmdliner
cp _build/src/*.{a,cmx,cmxa} %{buildroot}/%{_libdir}/ocaml/cmdliner
cp _build/src/*.cmxs %{buildroot}/%{_libdir}/ocaml/cmdliner

%files
%doc CHANGES.md
%doc README.md
%dir %{_libdir}/ocaml/cmdliner
%{_libdir}/ocaml/cmdliner/META
%{_libdir}/ocaml/cmdliner/*.cma
%{_libdir}/ocaml/cmdliner/*.cmi
%{_libdir}/ocaml/cmdliner/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/cmdliner/*.a
%{_libdir}/ocaml/cmdliner/*.cmxa
%{_libdir}/ocaml/cmdliner/*.cmx
%{_libdir}/ocaml/cmdliner/*.mli


%changelog
* Mon Feb 08 2016 pterjan <pterjan> 0.9.8-1.mga6
+ Revision: 950463
- Update to 0.9.8

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-11.mga5
+ Revision: 741518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-10.mga5
+ Revision: 683006
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-9.mga4
+ Revision: 534326
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 0.9.3-8.mga4
+ Revision: 477322
- rebuild for ocaml-4.01.0

* Sun Sep 08 2013 blue_prawn <blue_prawn> 0.9.3-7.mga4
+ Revision: 475839
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-6.mga3
+ Revision: 361209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.3-5.mga3
+ Revision: 341169
- new version 0.9.3

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.2-4.mga3
+ Revision: 301083
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.2-3.mga3
+ Revision: 300053
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.2-2.mga3
+ Revision: 291468
- put back one of the two patch of the previous version that was not included upstream

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 291439
- updated to last version 0.9.2
- removed patches that where included upstream

* Mon Apr 16 2012 blue_prawn <blue_prawn> 0.9.1-2.mga2
+ Revision: 231093
- fixed how to invoke groff, thanks to Daniel Buenzli

* Sat Apr 07 2012 blue_prawn <blue_prawn> 0.9.1-1.mga2
+ Revision: 229421
- imported package ocaml-cmdliner

